﻿'***********************************************************************
' Assembly         : SOFA.Caching
' Copyright        : (c) Jebarson. All rights reserved.
' Website			: http://www.jebarson.info
'***********************************************************************

Imports SOFA.Caching.StaticStore

Namespace Caching.Test
    ''' <summary>
    ''' Manager for cache config.
    ''' </summary>
    Public NotInheritable Class CacheConfigManager

#Region " Declarations "
        ''' <summary>
        ''' Member variable for the config.
        ''' </summary>
        Private Shared configValue As StaticStorageConfig
#End Region

#Region " Public Methods "
        ''' <summary>
        ''' Gets the cache config.	
        ''' </summary>
        ''' <returns></returns>
        Public Shared Function GetCacheConfig() As StaticStore.StaticStorageConfig
            If IsNothing(configValue) Then
                configValue = New StaticStore.StaticStorageConfig()
                configValue.DefaultCachePriority = CachePriority.Normal
                configValue.RefreshTime = New TimeSpan(0, 1, 0)
            End If

            Return configValue
        End Function
#End Region
    End Class
End Namespace
