﻿'***********************************************************************
' Assembly         : SOFA.Caching
' Copyright        : (c) Jebarson. All rights reserved.
' Website			: http://www.jebarson.info
'***********************************************************************

Imports SOFA.Caching

Namespace Caching.Test
    ''' <summary>
    ''' Lookup for country.
    ''' </summary>
    Public Class CountryLookup
        Inherits StorageItemEntry

#Region " Declarations "
        ''' <summary>
        ''' Member variable for country id.
        ''' </summary>
        Private countryIDValue As String

        ''' <summary>
        ''' Member variable for name.
        ''' </summary>
        Private nameValue As String
#End Region

#Region " Public Properties "
        ''' <summary>
        ''' Gets or sets the country ID.	
        ''' </summary>
        ''' <value>The country ID.</value>
        <ColumnMapAttribute("CountryID")> _
        Public Property CountryID() As String
            Get
                Return Me.countryIDValue
            End Get
            Set(ByVal value As String)
                Me.countryIDValue = value
            End Set
        End Property

        ''' <summary>
        ''' Gets or sets the name.	
        ''' </summary>
        ''' <value>The name.</value>
        <ColumnMapAttribute("Name")> _
        Public Property Name() As String
            Get
                Return Me.nameValue
            End Get
            Set(ByVal value As String)
                Me.nameValue = value
            End Set
        End Property
#End Region

#Region " StorageItemEntry Support "
        ''' <summary>
        ''' Gets or sets the key.	
        ''' </summary>
        ''' <value>The key.</value>
        Public Overrides Property Key() As String
            Get
                Return Me.CountryID
            End Get
            Set(ByVal value As String)
                Me.CountryID = value
            End Set
        End Property
#End Region

    End Class
End Namespace
