﻿'***********************************************************************
' Assembly         : SOFA.Caching
' Copyright        : (c) Jebarson. All rights reserved.
' Website			: http://www.jebarson.info
'***********************************************************************

Namespace Caching
    ''' <summary>
    ''' Provides functionality for mapping the database result column to the properties of entities.
    ''' </summary>
    <AttributeUsage(AttributeTargets.Property)> _
    Public NotInheritable Class ColumnMapAttribute
        Inherits Attribute

#Region " Declarations "
        ''' <summary>
        ''' Member variable for column name.
        ''' </summary>
        Private columnNameValue As String
#End Region

#Region " Public Properties "
        ''' <summary>
        ''' Initializes a new instance of the <see cref="ColumnMapAttribute" /> class.	
        ''' </summary>
        ''' <param name="columnName">Name of the column.</param>
        Public Sub New(ByVal columnName As String)
            Me.columnNameValue = columnName
        End Sub

        ''' <summary>
        ''' Gets or sets the name of the column.	
        ''' </summary>
        ''' <value>The name of the column.</value>
        Public Property ColumnName() As String
            Get
                Return Me.columnNameValue
            End Get
            Private Set(ByVal value As String)
                Me.columnNameValue = value
            End Set
        End Property
#End Region

    End Class
End Namespace