﻿'***********************************************************************
' Assembly         : SOFA.Caching
' Copyright        : (c) Jebarson. All rights reserved.
' Website			: http://www.jebarson.info
'***********************************************************************

Namespace Caching
    ''' <summary>
    ''' Interface for cache storage config.
    ''' </summary>
    Public Interface ICacheStorageConfig
        ''' <summary>
        ''' Gets the storage.	
        ''' </summary>
        ''' <value></value>
        ReadOnly Property Storage() As ICacheStorage(Of ICacheStorageConfig)

        ''' <summary>
        ''' Gets or sets the default cache priority.	
        ''' </summary>
        ''' <value>The default cache priority.</value>
        Property DefaultCachePriority() As CachePriority

        ''' <summary>
        ''' Gets or sets the refresh time.	
        ''' </summary>
        ''' <value>The refresh time.</value>
        Property RefreshTime() As TimeSpan
    End Interface
End Namespace