﻿'***********************************************************************
' Assembly         : SOFA.Caching
' Copyright        : (c) Jebarson. All rights reserved.
' Website			: http://www.jebarson.info
'***********************************************************************
Imports System.Collections.Generic

Namespace Caching
    ''' <summary>
    ''' Interface for storage factory.
    ''' </summary>
    Public Interface IStorageFactory
        ''' <summary>
        ''' Adds the storage item.	
        ''' </summary>
        ''' <param name="item">The item.</param>
        Sub AddStorageItem(ByVal item As Object)

        ''' <summary>
        ''' Gets the storage item.	
        ''' </summary>
        ''' <param name="name">The name.</param>
        ''' <returns></returns>
        Function GetStorageItem(ByVal name As String) As Object

        ''' <summary>
        ''' Gets the name.	
        ''' </summary>
        ''' <param name="item">The item.</param>
        ''' <returns></returns>
        Function GetName(ByVal item As Object) As String

        ''' <summary>
        ''' Gets the storage items.	
        ''' </summary>
        ''' <returns></returns>
        Function GetStorageItems() As List(Of Object)

    End Interface
End Namespace